SetDiaryPage(0, "Page0")
SetDiaryPage(1, "Page1")
SetDiaryPage(2, "Page2")
SetDiaryPage(3, "Page3")
-- SetDiaryPage(3, "Page3_01")
-- SetDiaryPage(4, "Page4_01")
-- SetDiaryPage(5, "Page5_01")
-- SetDiaryPage(6, "Page6_02")
-- SetDiaryPage(7, "Page7_01")
-- SetDiaryPage(8, "Page8_01")
-- SetDiaryPage(9, "Page9")

function OnDiaryPageButtonValidated(page, buttonName)
	PrintDebugMessage("OnDiaryPageButtonValidated("..page..", "..buttonName..")\n")

-------------------------------------------------------------------------------------- Page 4
	if page == "Page4_01" and buttonName == "button0" then
		if Page5Done then
			SetDiaryPage(4, "Page4_02")
			Puzzle_Astrologique_OK = true
			PlaySound("Sounds/SFX/N_TournerPage.ogg",1)
			DrawText("Ma1103","Ma1103.ogg", 0) -- Parfait ! Je crois que j'y suis.
		else
			DrawText("Ma0220", "Ma0220.ogg", 0) -- Pas encore !
		end
	end

-------------------------------------------------------------------------------------- Page 5
	if page == "Page5_01" and buttonName == "button0" and TableauZodiac then
		SetDiaryPage(5, "Page5_03")
		SignesZodiac = true
		PlaySound("Sounds/SFX/N_TournerPage.ogg",1)
	elseif page == "Page5_01" and buttonName == "button0" and not TableauZodiac then
		DrawText("Ma0223", "Ma0223.ogg", 0) -- Il manque quelque chose !
	elseif page == "Page5_01" and buttonName == "button1" then
		DrawText("Ma0220", "Ma0220.ogg", 0) -- Pas encore !
	end
	if page == "Page5_03" and buttonName == "button1" then
		if SignesZodiac then
			SetDiaryPage(5, "Page5_04")
			Page5Done = true
			PlaySound("Sounds/SFX/N_TournerPage.ogg",1)
--		else
--			DrawText("Ma0220", "Ma0220.ogg", 0) -- Pas encore !
		end
	end
	if page == "Page5_03" and buttonName == "button0" and TableauZodiac then
		DrawText("Ma2737", "Ma2737.ogg", 0) -- Ce n'est plus utile.
	end
	
	
-------------------------------------------------------------------------------------- Page 14
	if page == "Page14_03" and buttonName == "button0" and RunesReady then
		SetDiaryPage(14, "Page14_06")
		CircleReady = true
	elseif (page == "Page14_01" or page == "Page14_02") and buttonName == "button0" and not RunesReady then
		DrawText("Ma2518","Ma2518.ogg",0) -- Intéressant.
	end
	
-------------------------------------------------------------------------------------- Page 15
	if page == "Page15_02" and buttonName == "button0" and LookAtTomb then
		SetDiaryPage(15, "Page15_03")
		RunesReady = true
	elseif page == "Page15_03" and buttonName == "button0" and CircleReady then
		SetDiaryPage(15, "Page15_04")
		SOLVED_CELTIC_LETTERS_PUZZLE = true
	end


--	if page == "Page7_01" and buttonName == "button0" then
--		SetDiaryPage(7, "Page7_02")
--	end


--	if page == "Page8_01" and buttonName == "button0" then
--		SetDiaryPage(8, "Page8_02")
--	end
end